
;+--------------------------------------------------------------+
;|	   Jean Carot's TI-83 include file (asm83.inc)		|
;|		  Email: yhean@mailcity.com			|
;|		    Last update: 08/28/00			|
;+--------------------------------------------------------------+



start_of_asm83:

;+--------------------------------------------------------------+
;|  Rom Calls							|
;+--------------------------------------------------------------+

;-----> Large font (all writes take place at (currow,curcol))
currow			=$800C
curcol			=$800D
_homeup			=$4775
_gohome			=$47A1
_moveup			=$474D
_movedown		=$4741
_newline		=$473D
_scrollup		=$4745
_scrolldown		=$4751
_erase_eol		=$476D
_puts			=$470D
_putc			=$4705
_vputmap		=$477D
_disphl			=$4709
_dispdone		=$47F1

;-----> Small font (all writes take place at (penrow,pencol))
pencol			=$8252
penrow			=$8253
_vputs			=$4781
_vputspace		=$4C53
_dispop1a		=$51D4

;-----> General gfx
_clrlcd			=$4755
_clrtxtshd		=$4765
_clrScrnFull		=$475D
_clrAllScrn		=$4769
_bufclr			=$515B
_bufcopy		=$5164
_axes			=$519E
_ipoint			=$4AE8	;plot pixel (b,c) h={0=off,1=on,2=xor,3=tst}
_iline			=$4AE4	;draw line (b,c)-(d,e) h={0=off,1=on,2=xor}
_dark_line		=$4AE0
_dispg			=$4BEB	;display graph, redraws if dirty
_indicoff		=$4795
_indicon		=$4791
_lcd_busy		=$4066	;short pause for display

;-----> LCD
plotsscreen		=$8E29
gbuf			=$8E29
lcd_data		=$11
lcd_inst_port		=$10

;-----> Keyboard
keyport			=$01
getkey			=$4014
getk			=$4A18	;get key, do not wait, a=scancode, op1=keycode
scankey			=$4CFE	;get key, wait for keypress, a=scancode, op1=keycode

;-----> Utility
_htimesl		=$4382	;hl=h*l
_divhlbya		=$400C	;hl=hl/a
_ldhlind		=$4000	;h=(hl+1), l=(hl)
_cphlde			=$4004
_memfree		=$441A
_random			=$50B6
_waitkey		=$4CFE
_stoy			=$4EC8
_rcly			=$4EE0
_auto_power_down	=$018E

;-----> Memory
_findsym		=$442A
_createprog		=$448A
_delvar			=$44AA
_insertmem		=$4432
_delmem			=$44B2
_prgm_exec		=$50B2
_sym_table		=$FE6E	;end of the symbol table/vat/fat (stack begins next byte)
_usermemoff		=$8565	;user memory offset, points to end of used memory ?

progptr			=$9319
vat			=$9319
stringobj		=$04
progobj			=$05
protprogobj		=$06
listobj			=$01
clistobj		=$0D

;-----> Error handlers
_errmem			=$464E
_errundefind		=$467B
_errsyntax		=$466C


;-----> Tokens
tans			=$72



;+--------------------------------------------------------------+
;|  OP Registers						|
;+--------------------------------------------------------------+

op1			=$8039
op2			=$8044
op3			=$804F
op4			=$805A
op5			=$8065
op6			=$8070

_op1_to_op2		=$418E
_op1_to_op3		=$417E
_op1_to_op4		=$416E
_op1_to_op5		=$41BE
_op1_to_op6		=$41BA
_op2_to_op1		=$41C2
_op2_to_op3		=$41F6
_op2_to_op4		=$4172
_op2_to_op5		=$41B2
_op2_to_op6		=$41B6
_op3_to_op1		=$41A2
_op3_to_op2		=$417A
_op3_to_op4		=$416A
_op3_to_op5		=$41AE
_op4_to_op1		=$419A
_op4_to_op2		=$4176
_op4_to_op3		=$41FA
_op4_to_op5		=$41AA
_op4_to_op6		=$4202
_op5_to_op1		=$419E
_op5_to_op2		=$4182
_op5_to_op3		=$41FE
_op5_to_op4		=$418A
_op5_to_op6		=$4186
_op6_to_op1		=$4196
_op6_to_op2		=$4192
_op6_to_op5		=$41A6

_op1_ex_op2		=$4306
_op1_ex_op3		=$42FE
_op1_ex_op4		=$4302
_op1_ex_op5		=$42EE
_op1_ex_op6		=$42F2
_op2_ex_op4		=$42F6
_op2_ex_op5		=$42FA
_op2_ex_op6		=$42E6
_op5_ex_op6		=$42EA

_op1set0		=$4286
_op1set1		=$4232
_op1set2		=$4242
_op1set3		=$423A
_op1set4		=$4236
_op2set0		=$4282
_op2set1		=$4252
_op2set2		=$4246
_op2set3		=$422E
_op2set4		=$422A
_op2set5		=$4222
_op2set8		=$421E
_op2set60		=$4EA8
_op2setA		=$4226
_op3set0		=$427E
_op3set1		=$421A
_op3set2		=$423E
_op4set0		=$427A
_op4set1		=$4216
_op5set0		=$4276

_push_op1		=$454A
_push_op3		=$4542
_pop_op1		=$44E6
_pop_op3		=$44E2

_setxxop1		=$4A74
_setxxop2		=$4A78
_setxxxxop2		=$4A7C
_zeroop1		=$428E
_cpop1op2		=$4166
_op1tode		=$4EFC
_op1multop2		=$40AA



;+--------------------------------------------------------------+
;|  Safe RAM areas						|
;+--------------------------------------------------------------+

savesscreen		=$8265	;768 bytes
sram			=$8265	;  "
apdram			=$8265	;  "
statvars		=$858F	;531 bytes
cmdshad			=$9157	;128 bytes (do NOT from SOS!)
textshad		=$80C9	;128 bytes


end_of_asm83:
